#
# $Id: Shapes.py,v 1.5 2005/04/15 11:29:20 admin Exp $
#
# Copyright (c) 2003, 2004, 2005 Dirk Datzert
# All rights reserved. Written by Dirk Datzert <dirk@datzert.de>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__version__='$Revision: 1.5 $'[11:-2]

from reportlab.graphics.shapes import *
from RenderableObject import RenderableObject, manage_addRenderableObject


def manage_addLine(self, REQUEST=None):
	""" """
	manage_addRenderableObject(self, LineObject, REQUEST=REQUEST)


def manage_addRect(self, REQUEST=None):
	""" """
	manage_addRenderableObject(self, RectObject, REQUEST=REQUEST)


def manage_addCircle(self, REQUEST=None):
	""" """
	manage_addRenderableObject(self, CircleObject, REQUEST=REQUEST)


def manage_addEllipse(self, REQUEST=None):
	""" """
	manage_addRenderableObject(self, EllipseObject, REQUEST=REQUEST)


def manage_addString(self, REQUEST=None):
	""" """
	manage_addRenderableObject(self, StringObject, REQUEST=REQUEST)


class LineObject( RenderableObject ):
	""" """

	meta_type = 'RO_Line'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=Line)


class RectObject( RenderableObject ):
	""" """

	meta_type = 'RO_Rect'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=Rect)


class CircleObject( RenderableObject ):
	""" """

	meta_type = 'RO_Circle'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=Circle)


class EllipseObject( RenderableObject ):
	""" """

	meta_type = 'RO_Ellipse'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=Ellipse)


class StringObject( RenderableObject ):
	""" """

	meta_type = 'RO_String'

	def __init__(self, attr=None):
		""" """
		RenderableObject.__init__(self, attr=attr, klass=String)


#	vi:ts=4
